# -------------------------------------------------------------------------
# Log4j2 Properties (since 1.21.1)
# -------------------------------------------------------------------------
# Fundermental Configuration
# -------------------------------------------------------------------------
name = LKMS Logger
status = info
appenders = rolling 
# -------------------------------------------------------------------------
# Automatic Reconfiguration (set interval in seconds: default 60 sec)
# -------------------------------------------------------------------------
monitorInterval = 60

# -------------------------------------------------------------------------
# Properties 
# -------------------------------------------------------------------------
property.path = ../logs
# property.pattern = %d{yyyy-MM-dd HH:mm:ss.SSS} [%-5p] %c.%M(%L): %m%n
property.pattern = %d{yyyy-MM-dd HH:mm:ss.SSS} [%-5p] %X{clientip} %X{transid} %X{error} %X{hostname} 'text=%m, class.method=%c{1}.%M' %t%n
property.filename = ${path}/PKIService.enterpriseService.log
property.filePattern = ${path}/PKIService.enterpriseService.%d{yyyy-MM-dd}.log.gz

# -------------------------------------------------------------------------
# References
#  Appenders: https://logging.apache.org/log4j/2.x/manual/appenders.html
#  Layout: https://logging.apache.org/log4j/2.x/manual/layouts.html
# -------------------------------------------------------------------------
# -------------------------------------------------------------------------
# Console Appender
# -------------------------------------------------------------------------
appender.console.type=console
appender.console.name=console
appender.console.target=SYSTEM_OUT
appender.console.layout.type=PatternLayout
appender.console.layout.pattern=${pattern}

# -------------------------------------------------------------------------
# RollingFile Appender 
# -------------------------------------------------------------------------
appender.rolling.type = RollingFile
appender.rolling.name = rolling
appender.rolling.fileName = ${filename}
appender.rolling.filePattern = ${filePattern}
appender.rolling.layout.type = PatternLayout
appender.rolling.layout.pattern = ${pattern}
appender.rolling.policies.type = Policies
appender.rolling.policies.time.type = TimeBasedTriggeringPolicy
appender.rolling.policies.time.interval = 1
appender.rolling.policies.time.modulate = true
appender.rolling.strategy.type = DefaultRolloverStrategy
appender.rolling.strategy.max = 5
appender.rolling.strategy.delete.type = Delete
appender.rolling.strategy.delete.basePath = ${path}
appender.rolling.strategy.delete.maxDepth = 10
appender.rolling.strategy.delete.ifLastModified.type = IfLastModified
appender.rolling.strategy.delete.ifLastModified.age = 30d

# -------------------------------------------------------------------------
# Root Logger
# -------------------------------------------------------------------------
rootLogger.level = info
rootLogger.appenderRefs = rolling, console
rootLogger.appenderRef.console.ref = console
rootLogger.appenderRef.rolling.ref = rolling

# -------------------------------------------------------------------------
# Setup Specific Loggers for each package
# -------------------------------------------------------------------------
loggers = verisign, symantec, digicert, spring, dbcp2, hibernate
logger.verisign.name = com.verisign
logger.verisign.level = info
logger.symantec.name = com.symantec
logger.symantec.level = info
logger.digicert.name = com.digicert
logger.digicert.level = info
logger.spring.name = org.springframework.orm.hibernate3
logger.spring.level = info
logger.dbcp2.name = org.apache.commons.dbcp2
logger.dbcp2.level = info
logger.hibernate.name = org.hibernate.SQL
logger.hibernate.level = off

# -------------------------------------------------------------------------
#                         Copyright 2021 DigiCert Inc. All Rights Reserved.
# -------------------------------------------------------------------------
